package org.jboss.cache.eviction;

import org.jboss.cache.Fqn;

/**
 * Returns the {@link ExpirationAlgorithm} as the policy's algorithm.
 *
 * @author rosse
 * @deprecated see ExpirationAlgorithm
 */
@Deprecated
public class ExpirationPolicy extends BaseEvictionPolicy implements ModernizablePolicy
{

   private EvictionAlgorithm algorithm;

   public ExpirationPolicy()
   {
      algorithm = new ExpirationAlgorithm();
   }

   public EvictionAlgorithm getEvictionAlgorithm()
   {
      return algorithm;
   }

   public Class<ExpirationConfiguration> getEvictionConfigurationClass()
   {
      return ExpirationConfiguration.class;
   }

   /**
    * Returns true if it's a visit node event.
    */
   @Override
   public boolean canIgnoreEvent(Fqn fqn, EvictionEventType eventType)
   {
      return (eventType == EvictionEventType.VISIT_NODE_EVENT);
   }

   public Class<? extends EvictionAlgorithm> modernizePolicy()
   {
      return ExpirationAlgorithm.class;
   }
}
