/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.cache.eviction;

/**
 * Least Frequently Used Eviction Policy.
 *
 * @author Daniel Huang - dhuang@jboss.org - 10/2005
 * @version $Revision: 6610 $
 * @deprecated see LFUAlgorithm
 */
@Deprecated
public class LFUPolicy extends BaseEvictionPolicy implements ModernizablePolicy
{
   private LFUAlgorithm algorithm;

   public LFUPolicy()
   {
      super();
      algorithm = new LFUAlgorithm();
   }

   public EvictionAlgorithm getEvictionAlgorithm()
   {
      return algorithm;
   }

   public Class<LFUConfiguration> getEvictionConfigurationClass()
   {
      return LFUConfiguration.class;
   }

   public Class<? extends EvictionAlgorithm> modernizePolicy()
   {
      return LFUAlgorithm.class;
   }
}
